Subject: blame -C: adding a line in moved content sometimes affect blame result

From: Andrew Wong <[email-masked]>
Date: Wed, 08 Jun 2011 01:09:46 -0400

I've attached a script for illustration.

After moving content from file1 to file2, "git blame -C file2" correctly 
shows that the content came from file1. However, if I add a line in near 
the top or bottom of the moved content in file2, "git blame -C file2" 
fails to detect that the top or bottom of the moved contents came from 
file1. I looked around in blame.c, and this feels like a boundary case 
somewhere inside find_copy_in_blob? Any clues?